RCUR

Subscription groups

Show subscription group

get https://rcur.app/api/v2/subscription-groups/{id}

Requires your API key as Authorization: Bearer <key>. See authentication.

Path parameters

  • id string required

Responses

200 Subscription group details SubscriptionGroup object
  • id string required
  • name string required
  • description string nullable

    Only for yourself, customers do not see it

  • plans array of SubscriptionTemplates required

    The templates a subscription of the group can be switched between, in the order customers see them

    8 child attributes · SubscriptionTemplate
    • id string required
    • name string required

      Name of the template

    • description string

      Description the subscriptions made from the template get

    • currency string required
    • group_id string nullable

      The subscription group the template is in

    • plan_name string nullable

      Name shown in the customer portal when switching

    • plan_description string nullable

      Text shown in the customer portal when switching

    • rules array of SubscriptionRules required
      8 child attributes · SubscriptionRule
      • id string required
      • amount string required
      • currency string required

        One of AED AUD BGN BRL CAD CHF CZK DKK EUR GBP HKD HUF ILS ISK JPY MXN MYR NOK NZD PHP PLN RON SEK SGD THB TWD USD ZAR

      • interval string required

        One of day week month year

      • interval_amount integer required
      • day integer required
      • times integer nullable
      • times_done integer required
  • created_at string required
404 Resource not found Error object
  • status integer required
  • error string required
Try it Send this request with your own API key

Requests run against the live data of the organization that owns the key.